Bug 515432 - dlm_send socket leak [rhel-5.3.z]
Summary: dlm_send socket leak [rhel-5.3.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 508829
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-04 08:14 UTC by RHEL Program Management
Modified: 2016-04-26 14:28 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-24 08:12:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1222 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-08-24 08:12:06 UTC

Description RHEL Program Management 2009-08-04 08:14:29 UTC
This bug has been copied from bug #508829 and has been proposed
to be backported to 5.3 z-stream (EUS).

Comment 3 Jiri Pirko 2009-08-05 08:59:28 UTC
in kernel-2.6.18-128.5.1.el

Comment 5 Nate Straz 2009-08-19 21:57:54 UTC
Tested and verified on 2.6.18-128.5.1.el5.

Test steps:
1. configure cluster w/o fencing methods
2. service cman start
3. service clvmd start
4. from nodeA, cman_tool kill -n nodeB
5. on nodeB run lvs
6. check top on nodeB for dlm_send using 99% of CPU
7. check slabtop on nodeB for TCP slab growth (it should not)

Comment 7 errata-xmlrpc 2009-08-24 08:12:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1222.html


Note You need to log in before you can comment on or make changes to this bug.